/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.util;

import org.eclipse.jface.viewers.ISelection;

/**
 *
 * EnableSelection
 * @version $Revision: 1.1.1.1 $
 * @since 
 */
public class EnableSelection {
    
    public static ISelection TRUE = new TrueSelection();    
    public static ISelection FALSE = new FalseSelection();   

    
    static class TrueSelection implements ISelection{
        
        /* (”ñ Javadoc)
         * @see org.eclipse.jface.viewers.ISelection#isEmpty()
         */
        public boolean isEmpty() {
            return false;
        }
    }
    static class FalseSelection implements ISelection{
        
        /* (”ñ Javadoc)
         * @see org.eclipse.jface.viewers.ISelection#isEmpty()
         */
        public boolean isEmpty() {
            return true;
        }
        
    }
}
